﻿using System.ComponentModel;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// DB520
    /// </summary>
    public interface IStation520 : IProtocol
    {
        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode { get; set; }

        /// <summary>
        /// AGV放货请求
        /// </summary>
        [Description("AGV放货请求")]
        bool AGV_PUT_ASK { get; set; }

        /// <summary>
        /// AGV放货运行
        /// </summary>
        [Description("AGV放货运行")]
        bool AGV_PUT_RUN { get; set; }

        /// <summary>
        /// AGV放货完成
        /// </summary>
        [Description("AGV放货完成")]
        bool AGV_PUT_OK { get; set; }

        /// <summary>
        /// AGV取货请求
        /// </summary>
        [Description("AGV取货请求")]
        bool AGV_GET_ASK { get; set; }

        /// <summary>
        /// AGV取货运行
        /// </summary>
        [Description("AGV取货运行")]
        bool AGV_GET_RUN { get; set; }

        /// <summary>
        /// AGV取货完成
        /// </summary>
        [Description("AGV取货完成")]
        bool AGV_GET_OK { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo { get; set; }
    }
}
